You are here

Django Python Framework Comments

Django REST framework in Python language aims to facilitate the creation of Web APIs. The requirements to work with Django include Python 2.6.5+, 2.7, 3.2, 3.3, 3.4 and Django 1.4.11+, 1.5.5+, 1.6, 1.7. Installation options are available either by using pip or by cloning from GitHub. Django has been used by Mozilla and Eventbrite. To visualize how this framework can fit into a developer's practices, an example is available with steps to follow. Benefits to develop include community support, customization, and extensive documentation.